For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve

To retrieve the details of a transaction registered in iyzico, you can use the payment inquiry service.

The parameters that need to be sent to the service are as follows:

Retrieve Payment Result

post

Retrieves the result of a payment.

Header parameters
AuthorizationstringRequired

Authorization header starting with IYZWSv2 and a signed hash value encoded in base64.

Example: IYZWSv2 aXBzaWduYXR1cmU...
Content-TypestringRequired

Content-Type value.

Example: application/json
Body
localestring · enumOptional

Language code. Allowed values; tr, en. Default; tr

Example: enPossible values:
paymentIdstringRequired

Payment transaction ID.

Example: 25168803
paymentConversationIdstringOptional

ConversationId of the payment transaction. Required if paymentId is not sent.

Example: 123456789
Responses
200

Successful response

application/json
statusstring · enumOptional

Indicates the result of the request.

Example: successPossible values:
localestringOptional

Response language (tr/en).

Example: en
systemTimeintegerOptional

Operation time (epoch ms).

Example: 1755198001941
conversationIdstringOptional

ID matching the request.

Example: conversationId
pricedecimalOptional

Basket total amount.

Example: 1
paidPricedecimalOptional

Total collected amount.

Example: 1
installmentintegerOptional

Installment count.

Example: 1
paymentIdstringOptional

Payment ID.

Example: 25149157
fraudStatusinteger · enumOptional

Payment status per fraud filters. If the risk score is low, the payment is approved instantly; if high, the payment is declined. The merchant should ship products only for transactions with value 1; for 0, the merchant should wait for notification.

  • 1: Approved
  • 0: Under review
  • -1: Declined
Example: 1Possible values:
merchantCommissionRatedecimalOptional

Merchant's applied installment/commission rate. For example, if price=100 and paidPrice=110, the merchant rate is 10%. Informational.

Example: 0
merchantCommissionRateAmountdecimalOptional

Merchant's commission amount. For example, if price=100 and paidPrice=110, the commission is 10. Informational.

Example: 0
iyziCommissionRateAmountdecimalOptional

iyzico transaction commission amount.

Example: 0.2094
iyziCommissionFeedecimalOptional

iyzico transaction fee.

Example: 0.25
cardTypestring · enumOptional

Card type.

Example: CREDIT_CARDPossible values:
cardAssociationstring · enumOptional

Card association.

Example: MASTER_CARDPossible values:
cardFamilystring · enumOptional

Card family.

Example: AxessPossible values:
binNumberstringOptional

BIN (first 8 digits).

Example: 552608
lastFourDigitsstringOptional

Last 4 digits of the card.

Example: 0006
basketIdstringOptional

Basket ID.

Example: basketId
currencystring · enumOptional

Currency.

Example: TRYPossible values:
authCodestringOptional

Auth code returned by the bank.

Example: 214525
phasestringOptional

Payment phase.

Example: AUTH
hostReferencestringOptional

Host reference value given by the bank for the payment.

Example: mock00001iyzihostrfn
signaturestringOptional

Signature value that can be used for signature verification.

Example: 5f510cd92b4b9c50a39b617cda228f4159f290860a4c20a965c55b119c9e9052
paymentStatusstring · enumOptional

Shows the result of the payment process.

Example: SUCCESSPossible values:
post/payment/detail
HTTP
POST https://api.iyzipay.com/payment/detail
Authorization: IYZWSv2 YXBpS2V5OnNhbmRib....E0OGI1MTE=
Content-Type: application/json

{
  "paymentId":"25168803",
  "paymentConversationId":"123456789"
}
{
  "status": "success",
  "locale": "en",
  "systemTime": 1700000000000,
  "conversationId": "123456789",
  "paymentId": "1",
  "price": 1,
  "paidPrice": 1,
  "installment": 1,
  "fraudStatus": 1,
  "merchantCommissionRate": "0E-8",
  "merchantCommissionRateAmount": "0E-8",
  "iyziCommissionRateAmount": 0.0349,
  "iyziCommissionFee": 0.25,
  "cardType": "CREDIT_CARD",
  "cardAssociation": "MASTER_CARD",
  "cardFamily": "Axess",
  "binNumber": "552879",
  "lastFourDigits": "0008",
  "basketId": "B67832",
  "currency": "TRY",
  "itemTransactions": [
    {
      "itemId": "BI101",
      "paymentTransactionId": "27137212",
      "transactionStatus": 2,
      "price": 0.3,
      "paidPrice": 0.3,
      "merchantCommissionRate": "0E-8",
      "merchantCommissionRateAmount": "0E-8",
      "iyziCommissionRateAmount": 0.01047,
      "iyziCommissionFee": 0.075,
      "blockageRate": "0E-8",
      "blockageRateAmountMerchant": "0E-8",
      "blockageRateAmountSubMerchant": "0E-8",
      "blockageResolvedDate": "2025-08-22 00:00:00",
      "subMerchantPrice": 0,
      "subMerchantPayoutRate": "0E-8",
      "subMerchantPayoutAmount": 0,
      "merchantPayoutAmount": 0.21453,
      "convertedPayout": {
        "paidPrice": 0.3,
        "iyziCommissionRateAmount": 0.01047,
        "iyziCommissionFee": 0.075,
        "blockageRateAmountMerchant": "0E-8",
        "blockageRateAmountSubMerchant": "0E-8",
        "subMerchantPayoutAmount": "0E-8",
        "merchantPayoutAmount": 0.21453,
        "iyziConversionRate": 0,
        "iyziConversionRateAmount": 0,
        "currency": "TRY"
      }
    }
  ],
  "authCode": "579803",
  "phase": "AUTH",
  "hostReference": "mock00007iyzihostrfn",
  "signature": "5ab609ed2e0f4cae0035c8c136d29b00c2616cf8fb4856df65bb52b5a796369f",
  "paymentStatus": "SUCCESS"
}

Sample Codes

Last updated